package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Lck;
import com.brilliance.isc.vo.manager.LckVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface LckMapper {

    List<LckVo> queryAllByLimit(@Param("list") List list, @Param("bchList") List bchList);

    List<LckVo> queryLckById(@Param("list") List list,@Param("ownref1") String ownref, @Param("bchList") List bchList);

    List<String> queryAtpLnk();

    int deleteByVo(@Param("list") List list);

    int updateLck(Lck lck);

    int deleteByLckStr(@Param("lckstr") String genLockKey);

    Lck selectByLckStr(@Param("lckstr")String genLockKey);

    int insert(Lck lck);

    int deleteLckByUserAndTrn(Lck lck);

    List<Lck> selectByLckstr(@Param("lckstrList")List lckstrList);

}

